import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

// 640x480
public class HighScorePanel extends JPanel implements ActionListener
{
    private JButton btnBack = new JButton("Back");
    private JButton btn1 = new JButton("Level 1");
    private JButton btn2 = new JButton("Level 2");
    private JButton btn3 = new JButton("Level 3");
    private JButton btn4 = new JButton("Level 4");
    private JButton btn5 = new JButton("Level 5");
    private JButton btn6 = new JButton("Level 6");
    private JButton btn7 = new JButton("Level 7");
    private JButton btn8 = new JButton("Level 8");
    private JButton btn9 = new JButton("Level 9");
    private JButton btn10 = new JButton("Level 10");
    private JLabel score1 = new JLabel();
    private JLabel score2 = new JLabel();
    private JLabel score3 = new JLabel();
    private JLabel name1 = new JLabel();
    private JLabel name2 = new JLabel();
    private JLabel name3 = new JLabel();
    private JPanel pnl1 = new JPanel();
    private JPanel pnl2 = new JPanel();
    private JPanel pnl3 = new JPanel();
    private JPanel pnlScore1 = new JPanel();
    private JPanel pnlScore2 = new JPanel();
    private JPanel pnlScore3 = new JPanel();
    private Score sc;

    public HighScorePanel()
    {
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

        sc = new Score();
        sc.loadFile();

        btnBack.addActionListener(this);
        btn1.addActionListener(this);
        btn2.addActionListener(this);
        btn3.addActionListener(this);
        btn4.addActionListener(this);
        btn5.addActionListener(this);
        btn6.addActionListener(this);
        btn7.addActionListener(this);
        btn8.addActionListener(this);
        btn9.addActionListener(this);
        btn10.addActionListener(this);

        btnBack.setFont(SlimeCollection.largeArial);
        score1.setFont(SlimeCollection.largeArial);
        score2.setFont(SlimeCollection.largeArial);
        score3.setFont(SlimeCollection.largeArial);

        pnlScore1.setLayout(new GridLayout(0, 2));
        pnlScore1.setPreferredSize(new Dimension(getWidth(), 100));

        pnlScore2.setLayout(new GridLayout(0, 2));
        pnlScore2.setPreferredSize(new Dimension(getWidth(), 100));

        pnlScore3.setLayout(new GridLayout(0, 2));
        pnlScore3.setPreferredSize(new Dimension(getWidth(), 100));

        pnlScore1.add(name1);
        pnlScore1.add(score1);

        pnlScore2.add(name2);
        pnlScore2.add(score2);

        pnlScore3.add(name3);
        pnlScore3.add(score3);

        pnl1.setPreferredSize(new Dimension(getWidth(), 60));
        pnl1.add(btn1);
        pnl1.add(btn2);
        pnl1.add(btn3);
        pnl1.add(btn4);
        pnl1.add(btn5);

        pnl2.setPreferredSize(new Dimension(getWidth(), 60));
        pnl2.add(btn6);
        pnl2.add(btn7);
        pnl2.add(btn8);
        pnl2.add(btn9);
        pnl2.add(btn10);

        pnl3.add(btnBack);
        pnl3.setPreferredSize(new Dimension(getWidth(), 60));

        add(pnlScore1);
        add(pnlScore2);
        add(pnlScore3);
        add(pnl1);
        add(pnl2);
        add(pnl3);

    }

    public void actionPerformed(ActionEvent e)
    {
        int flag = 0;

        if(e.getSource() == btnBack)
        {
            SlimeCollection.switchFrames(this, new MenuPanel());
            return;
        }

        if(e.getSource() == btn1)
            flag = 1;

        if(e.getSource() == btn2)
            flag = 2;

        if(e.getSource() == btn3)
            flag = 3;

        if(e.getSource() == btn4)
            flag = 4;

        if(e.getSource() == btn5)
            flag = 5;

        if(e.getSource() == btn6)
            flag = 6;

        if(e.getSource() == btn7)
            flag = 7;

        if(e.getSource() == btn8)
            flag = 8;

        if(e.getSource() == btn9)
            flag = 9;

        if(e.getSource() == btn10)
            flag = 10;

        name1.setText(sc.getName(flag, 1));
        name2.setText(sc.getName(flag, 2));
        name3.setText(sc.getName(flag, 3));
        score1.setText("" + sc.getScore(flag, 1));
        score2.setText("" + sc.getScore(flag, 2));
        score3.setText("" + sc.getScore(flag, 3));

    }
}
